# copyright: Huynh Duong Phuong Vi
# www.sketchupforyou.com
module S4U
	 module S4u_transformer
		require 'sketchup.rb'
		require 'extensions.rb'
		require 'langhandler.rb'
		NAME="s4u_transformer"
		Strings  = LanguageHandler.new(NAME + ".strings")
		TOOL=Strings["Transformer"]
		@ext = SketchupExtension.new(("s4u-" + TOOL),File.join(NAME,(NAME + "_loader")))
		@ext.copyright= 'Huynh Duong Phuong Vi'
		@ext.creator =  'Suforyou'
		@ext.version = '3.1.0'
		@ext.description = Strings["Select groups or components for Transformer(Scale,Move,Rotate,Color)."]
		Sketchup.register_extension @ext, true
	 end
end
